Issue while integrating AWS RDS/PostgreSQL V10.X to SonarQube LTS 7.9.3

Hi

Using community edition of 7.9.3, tried to integrate RDS/PostgreSQL database and it threw error For max file descriptors [4096] for elasticsearch process is too low, increase to at least [65536]. When the UserID, PW and URLs are commented in sonar.properties and the sonarqube is up and running without any error. So, just would like to know does community edition support integration of external database. If not, which edition we need to go with.

Hi,

Welcome to the community!

These two things (Postgres & Elasticsearch) are unrelated.

And so you’re wondering: if they’re unrelated, why didn’t I get these errors before I started trying to use Postgres?

Answer: When you run with the embedded H2 database, we turn off the basic ES sanity checks because you’re obviously in a non-production, evaluation mode and will never experience production-like data volume. However, once you switch from H2 to a production database, then… you need to be ready for production, which includes the SonarQube user having access to the correct minimum number of file handles &etc.

 
HTH,
Ann

Thanks for your reply. Issue was resolved !

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.